#include <fxsaber\MultiTester\MultiTester.mqh> //  /  .

sinput bool Period_M1 = false;         //  M1
sinput bool Period_M5 = false;         //  M5
sinput bool Period_M15 = false;        //  M15
sinput bool OnlyCustomSymbols = false; //   

//       .
void SetTesterSettings()
{
  //      .
  for (int i = SymbolsTotal(true) - 1; i >= 0; i--)
  {
    const string Name = SymbolName(i, true);

    if (!OnlyCustomSymbols || SymbolInfoInteger(Name, SYMBOL_CUSTOM))
    {
      if (Period_M1)
        TesterSettings.Add(NULL, Name, PERIOD_M1);  //  M1-,      .

      if (Period_M5)
        TesterSettings.Add(NULL, Name, PERIOD_M5);  //  M1-,      .

      if (Period_M15)
        TesterSettings.Add(NULL, Name, PERIOD_M15); //  M15-,      .

      if (!Period_M1 && !Period_M5 && !Period_M15)  //      ,    .
        TesterSettings.Add(NULL, Name);
    }
  }
}